#include <GL/glut.h>

// Funo callback chamada para fazer o desenho

void DesenhaCasa() {
  //Seleciona a matriz do modelo
  glMatrixMode(GL_MODELVIEW);
  //Inicializa a matriz
  glLoadIdentity();
  
  //Altera a cor corrente para azul
  glColor3f(0.0f, 0.0f, 1.0f);
  
  //Um triangulo
  glBegin(GL_QUADS);
    glVertex2f(-15.0f, -15.0f);
    glVertex2f(-15.0f, 5.0f);
    glVertex2f(15.0f, 5.0f);
    glVertex2f(15.0f, -15.0f);
  glEnd();  
  
  //Altera a cor do desenho para branco
  glColor3f(1.0f, 1.0f, 1.0f);
  
  //Desenha a porta e a janela
  glBegin(GL_QUADS);
    glVertex2f(-4.0f, -14.5f);
    glVertex2f(-4.0f, 0.0f);
    glVertex2f(4.0f, 0.0f);
    glVertex2f(4.0f, -14.5f);
    glVertex2f(7.0f, -5.0f);
    glVertex2f(7.0f, -1.0f);
    glVertex2f(13.0f, -1.0f);
    glVertex2f(13.0f, -5.0f);
  glEnd();
  
  //Altera a cor do desenho para azul
  glColor3f(0.0f, 0.0f, 1.0f);

  //Desenha as linhas da janela
  glBegin(GL_LINES);
    glVertex2f(7.0f, -3.0f);
    glVertex2f(13.0f, -3.0f);
    glVertex2f(10.0f, -1.0f);
    glVertex2f(10.0f, -5.0f);
  glEnd();

  //Altera a cor do desenho para vermelho
  glColor3f(1.0f, 0.0f, 0.0f);
  
  //Desenha o telhado
  glBegin(GL_TRIANGLES);
    glVertex2f(-15.0f, 5.0f);
    glVertex2f(0.0f, 17.0f);
    glVertex2f(15.0f, 5.0f);
  glEnd();

  //Executa os comandos
  glFlush(); 
}

void Desenha(){
 
  //Limpa a tela com a cor predefinida anteriormente
  glClearColor(1.0f, 1.0f, 1.0f, 1.0f);
  glClear(GL_COLOR_BUFFER_BIT);
 // glViewport(0,0, 100,100);
  DesenhaCasa();
//  glViewport(100,0,200,200);
 // DesenhaCasa();

}

void alteraTamanhoJanela(GLsizei w, GLsizei h) {
  GLsizei largura, altura;

  largura = w;
  altura = h;

  glViewport(0, 0, largura, altura); 
}

void Inicializa() {
    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    gluOrtho2D(-50, 50, -50, 50);
}

// Programa Principal 
int main(int argc, char* argv[])
{
    glutInit(&argc, argv);
	glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB);
	glutInitWindowSize(400,400);
	glutCreateWindow("Viewport");
            
    Inicializa();
    glutDisplayFunc(Desenha);
    
    	
    glutMainLoop();
}

